Debian Bug report logs - #725850
mini-buildd: [debconf_rewrite] Debconf templates and debian/control review proposal

version graph

Package: mini-buildd; Maintainer for mini-buildd is Stephan Sürken <absurd@debian.org>; Source for mini-buildd is src:mini-buildd.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Wed, 9 Oct 2013 04:45:02 UTC

Severity: normal

Fixed in version mini-buildd/1.0.0~gamma.5

Done: Stephan Sürken <absurd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Wed, 09 Oct 2013 04:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Stephan Sürken <absurd@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 09 Oct 2013 04:45:07 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mini-buildd: [debconf_rewrite] Debconf templates and debian/control review proposal
Date: Wed, 09 Oct 2013 06:33:43 +0200
Package: mini-buildd
Version: N/A
Severity: normal

Dear Debian maintainer,

Hello,

I just noticed new or modified debconf templates appearing for this
package.

I would like to suggest you to consider calling for debconf templates
review AND translation updates when you introduce new debconf
templates or modify the existing templates in a package or, if you
prefer, to send a call for translations after uploading the first
version that introduces new templates or templates changes.

If you're interested in suggestions for doing this, you can find some
at the end of this bug report.

The debian-l10n-english team will now start a review, on our own
initiative. It will be conducted through this bug report.


Suggestions for future debconf templates review
------------------------------------------------

1) Getting debconf templates reviewed
--------------------------------------

The Debian i18n contributors have developed a set of suggestions for
the writing style of debconf templates, to give them an overall
consistency all around Debian. These writing style suggestions are
explained in the Developers Reference. Lintian also warns about common
writing style concerns.

Maintainers are welcome when they ask for a review of debconf templates
and/or packages descriptions on debian-l10n-english@lists.debian.org.
It is of course not needed to wait for someone (such as me right me)
proposing you such a review.

In such situations (whether the review is requested by the maintainer
or proposed by someone else), someone from the debian-l10n-english
team will pick up the review to do, handle it, and finally send you a
bug report with the suggested templates. If you want, you can ask for
being CC'ed to the various discussions when the templates are
reviewed.


2) Call for new translations
----------------------------

As soon as the templates have been reviewed, you can ask Debian
translators for new translations:

Just go to your package's build tree and use:

$ podebconf-report-po --call

This will propose you a generic mail which is to be sent to
debian-i18n@lists.debian.org and call for new translations.

This utility will mention existing translations to avoid duplicate
work. 

It will also attach the needed material to this mail.

Please also think about giving a deadline to translators. We like
deadlines..:-)

3) Always call for translation updates before uploading
-------------------------------------------------------

(of course only when you change the debconf templates!)

If your package already includes debconf translations (ie *.po files
in debian/po), please consider calling for translation updates if you
happen to change something in the templates...or just in case when you
release a new version.

This is done with the following command:

$ podebconf-report-po

This will build private mails to translators (ie people listed in
"Last-Translator" in the PO files) for translations that are
incomplete. These mails will included the needed PO file for each
translator.


-- System Information:
Debian Release: jessie/sid
Architecture: i386 (i686)

Kernel: Linux 3.10-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Tue, 22 Oct 2013 12:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-l10n-english@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Tue, 22 Oct 2013 12:12:15 GMT) Full text and rfc822 format available.

Message #10 received at 725850@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725850@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [RFR] templates://mini-buildd/{mini-buildd.templates}
Date: Tue, 22 Oct 2013 14:10:06 +0200
[Message part 1 (text/plain, inline)]
Please find, for review, the debconf templates and packages descriptions for the mini-buildd source package.

This review will last from Tuesday, October 22, 2013 to Friday, November 01, 2013.

Please send reviews as unified diffs (diff -u) against the original
files. Comments about your proposed changes will be appreciated.

Your review should be sent as an answer to this mail.

When appropriate, I will send intermediate requests for review, with
"[RFRn]" (n>=2) as a subject tag.

When we will reach a consensus, I send a "Last Chance For
Comments" mail with "[LCFC]" as a subject tag.

Finally, a summary will be sent to the review bug report,
and a mail will be sent to this list with "[BTS]" as a subject tag.

Rationale:
--- mini-buildd.old/debian/mini-buildd.templates	2013-10-08 19:17:25.844663113 +0200
+++ mini-buildd/debian/mini-buildd.templates	2013-10-22 13:58:15.108211668 +0200
@@ -1,9 +1,9 @@
 Template: mini-buildd/purge_warning
 Type: note
-_Description: Data purge warning
+_Description: mini-buildd data purge warning
  You have chosen to purge mini-buildd.
  .
- This choice means that the mini-buildd user will be removed
+ As a consequence, the mini-buildd user will be removed
  along with all the files it owns, possibly including Debian
  repositories.
  .
@@ -13,39 +13,41 @@
 Type: string
 Default: /var/lib/mini-buildd
 _Description: Home path:
- This is mini-buildd's UNIX user home, and the place where all
- data is kept. This path should have enough space for all
+ Please choose the directory where mini-buildd data will be stored.
+ The directory will also be the home directory for the mini-buildd user.
+ .
+ It should have enough space for all
  repositories and/or builders data you plan to use.
 
 Template: mini-buildd/admin_password
 Type: password
-_Description: Administrator's password:
- You may later login into the admin area of the web application
- via user 'admin' and the password you give here.
+_Description: Administrator password for mini-buildd:
+ Please choose the password for the administrative user of
+ mini-buildd. This password will be used, for the admin" user
+ in mini-buildd's web interface.
  .
- Entering a password will also trigger the (needed) initial
- creation of the 'admin' user.
+ If you enter a password, this will also trigger the creation of a
+ local "admin" user.
  .
- If you leave this empty, nothing will be done.
+ If you leave this empty, no user creation will happen.
 
 Template: mini-buildd/options
 Type: string
 Default: --verbose
 _Description: Extra options:
- You may add any mini-buildd command line option here (see
- 'mini-buildd --help').
- .
- However, the only really recommended option to give here is to
- increase/decrease the log level via '-v, --verbose' or '-q,
- --quiet', respectively.
+ Please add any mini-buildd command line option you would like to use
+ (see the output of "mini-buildd --help" for a full set of available
+ options).
+ .
+ The only really recommended option, here, is to
+ increase/decrease the log level via "-v, --verbose" or "-q,
+ --quiet", respectively.
 
 Template: mini-buildd/note
 Type: note
 _Description: Package configuration complete
  After the package installation is complete, visit the new home
- of your local mini-build instance. Unless you changed the
- defaults, this should be reachable via:
- .
- http://localhost:8066
+ of the local mini-build instance. Unless you changed the
+ defaults, this should be reachable via http://localhost:8066.
  .
- A good starting point is the online manual's Quickstart.
+ A good starting point is the online manual named "Quickstart".
--- mini-buildd.old/debian/control	2013-10-08 19:17:25.844663113 +0200
+++ mini-buildd/debian/control	2013-10-22 14:02:10.850394040 +0200
@@ -35,11 +35,11 @@
          python-argcomplete (>= 0.5.4),
          python-keyring (>= 1.6),
          python-debian (>= 0.1.18~)
-Description: Minimal Debian build daemon: python library and user tool
- mini-buildd is an easy-to-configure Debian autobuilder and
- repository.
+Description: minimal build daemon - python library and user tool
+ Mini-buildd is an easy to configure autobuilder and
+ repository for deb packages.
  .
- This package includes the user space control tool and the
+ More specifically, this package includes the user space control tool and the
  'mini_buildd' python package.
 
 Package: mini-buildd
@@ -72,14 +72,16 @@
         mini-buildd-bld (<< 1.0.0~)
 Replaces: mini-buildd-rep,
           mini-buildd-bld
-Description: Minimal Debian build daemon
- mini-buildd is an easy-to-configure Debian autobuilder and
- repository.
+Description: minimal build daemon - daemon
+ Mini-buildd is an easy to configure autobuilder and
+ repository for deb packages.
+ .
+ This package provides the main daemon.
 
 Package: mini-buildd-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: minimal Debian build daemon - 08x upgrade dummy package
+Description: minimal build daemon - 08x upgrade dummy package
  This is a dummy package assuring mini-buildd-common is
  upgraded (as a possible purge of the 0.8.x package
  would badly break mini-buildd 1.0).

-- 


[mini-buildd.templates (text/plain, attachment)]
[patch.rfr (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Tue, 22 Oct 2013 13:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to victory <victory.deb@gmail.com>:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Tue, 22 Oct 2013 13:18:08 GMT) Full text and rfc822 format available.

Message #15 received at 725850@bugs.debian.org (full text, mbox):

From: victory <victory.deb@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 725850@bugs.debian.org
Subject: Re: [RFR] templates://mini-buildd/{mini-buildd.templates}
Date: Tue, 22 Oct 2013 22:14:54 +0900
On Tue, 22 Oct 2013 14:10:06 +0200
Christian PERRIER wrote:

>  Template: mini-buildd/admin_password
> + mini-buildd. This password will be used, for the admin" user

"admin" user


-- 
victory
no need to CC me :-)
http://userscripts.org/scripts/show/102724 0.0.1.4
http://userscripts.org/scripts/show/163846 0.0.1
http://userscripts.org/scripts/show/163848 0.0.1



Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Tue, 22 Oct 2013 13:24:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin B Rye <justin.byam.rye@gmail.com>:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Tue, 22 Oct 2013 13:24:12 GMT) Full text and rfc822 format available.

Message #20 received at 725850@bugs.debian.org (full text, mbox):

From: Justin B Rye <justin.byam.rye@gmail.com>
To: debian-l10n-english@lists.debian.org
Cc: 725850@bugs.debian.org
Subject: Re: [RFR] templates://mini-buildd/{mini-buildd.templates}
Date: Tue, 22 Oct 2013 14:21:26 +0100
[Message part 1 (text/plain, inline)]
Christian PERRIER wrote:
>  Template: mini-buildd/home
>  Type: string
>  Default: /var/lib/mini-buildd
>  _Description: Home path:
> + Please choose the directory where mini-buildd data will be stored.
> + The directory will also be the home directory for the mini-buildd user.
> + .
> + It should have enough space for all
>   repositories and/or builders data you plan to use.

Is that "any/all repository data and any/all builder data", or what?
Probably clearer as:

    It should have enough space for all the builders and repositories
    you plan to use.
  
>  Template: mini-buildd/admin_password
>  Type: password
> +_Description: Administrator password for mini-buildd:
> + Please choose the password for the administrative user of
> + mini-buildd. This password will be used, for the admin" user
> + in mini-buildd's web interface.

A minor <,> surplus and <"> shortage (thanks, victory).

[...]
>  Template: mini-buildd/options
>  Type: string
>  Default: --verbose
>  _Description: Extra options:
> + Please add any mini-buildd command line option you would like to use
> + (see the output of "mini-buildd --help" for a full set of available
> + options).

Perhaps a case for "(s)", but probably just using plural "any
mini-buildd command line options" is more idiomatic.

> + .
> + The only really recommended option, here, is to
> + increase/decrease the log level via "-v, --verbose" or "-q,
> + --quiet", respectively.

At least the "respectively" works here.  I'd still prefer to avoid it,
though:

    Please add any mini-buildd command line options you would like to use
    ("mini-buildd --help" gives a list of available options).
    .
    The only options really recommended for use here are "-v"/"--verbose"
    to increase the log level or "-q"/"--quiet" to decrease it.

>  Template: mini-buildd/note
>  Type: note
>  _Description: Package configuration complete

Does it mean

   _Description: Configuration of mini-buildd complete

...?  If so, why does this need a debconf note?

>   After the package installation is complete, visit the new home
> + of the local mini-build instance. Unless you changed the
> + defaults, this should be reachable via http://localhost:8066.

When it says "after the package installation", does it mean the
installation of this package it just declared completely installed and
configured?  Or is it talking about something the buildd does?
Assuming the former, it boils down to:

    Unless you changed the defaults, you should now be able to visit the
    new home of the local mini-buildd instance at http://localhost:8066.

And I'd find this message pretty annoying if I had to install
mini-buildd on multiple machines...

In the control file:
> +Description: minimal build daemon - python library and user tool

s/python/Python/

> + Mini-buildd is an easy to configure autobuilder and
> + repository for deb packages.

When "easy to X" is being used as if it was a one-word adjective
before the noun it's entitled to hyphens.

I have to admit I always find "deb package" vaguely annoying, but it
seems to be the best solution.  (And we do need to be clear, when
there are also Python packages about.)

>   .
> + More specifically, this package includes the user space control tool and the
>   'mini_buildd' python package.

Users read "user space" as "stored under ~/" (I saw another real-life
example of this happening just a couple of weeks ago); if we want to
make it clear it's not in kernelspace, we need to write it as one
word.  But how likely is it that anybody would expect a "control tool"
for a buildd to run in kernelspace?  Just say:

    This package includes the control utility "mini-buildd-tool" along
    with the "mini_buildd" Python package.
-- 
JBR	with qualifications in linguistics, experience as a Debian
	sysadmin, and probably no clue about this particular package
[patch.jbr (text/plain, attachment)]
[mini-buildd.templates (text/plain, attachment)]
[control (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Tue, 22 Oct 2013 18:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Tue, 22 Oct 2013 18:03:05 GMT) Full text and rfc822 format available.

Message #25 received at 725850@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: debian-l10n-english@lists.debian.org, 725850@bugs.debian.org
Subject: Re: Bug#725850: [RFR] templates://mini-buildd/{mini-buildd.templates}
Date: Tue, 22 Oct 2013 19:59:32 +0200
[Message part 1 (text/plain, inline)]
Quoting Justin B Rye (justin.byam.rye@gmail.com):

> Does it mean
> 
>    _Description: Configuration of mini-buildd complete
> 
> ...?  If so, why does this need a debconf note?

Yes, I completely forgot to yell out loud..:-)

This template *is* debconf abuse and should be dropped
entirely. Showing debconf notes to just say that packages have been
configured and one should read the documentation is highly highly
highly discouraged.

Please, pretty please, drop that template and do not show such note.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Sun, 03 Nov 2013 08:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Sun, 03 Nov 2013 08:00:07 GMT) Full text and rfc822 format available.

Message #30 received at 725850@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725850@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [LCFC] templates://mini-buildd/{mini-buildd.templates}
Date: Sun, 3 Nov 2013 08:58:18 +0100
[Message part 1 (text/plain, inline)]
This is the last call for comments for the review of debconf
templates for mini-buildd.

The reviewed templates will be sent on Tuesday, November 05, 2013 to this bug report
and a mail will be sent to this list with "[BTS]" as a subject tag.


-- 


[mini-buildd.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Wed, 06 Nov 2013 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Wed, 06 Nov 2013 05:57:04 GMT) Full text and rfc822 format available.

Message #35 received at 725850@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725850@bugs.debian.org, debian-l10n-english@lists.debian.org
Subject: [BTS#725850] templates://mini-buildd/{mini-buildd.templates} : Final update for English review
Date: Wed, 6 Nov 2013 06:53:21 +0100
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Sunday, October 13, 2013, I notified you of the beginning of a review process
concerning debconf templates for mini-buildd.

The debian-l10n-english contributors have now reviewed these templates,
and the final proposed changes are attached to this update to the
original bug report.

Please review the suggested changes, and if you have any
objections, let me know in the next 3 days.

However, please try to avoid uploading mini-buildd with these changes
right now.

The second phase of this process will begin on Saturday, November 09, 2013, when I will
coordinate updates to translations of debconf templates.

The existing translators will be notified of the changes: they will
receive an updated PO file for their language.

Simultaneously, a general call for new translations will be sent to
the debian-i18n mailing list.

Both these calls for translations will request updates to be sent as
individual bug reports. That will probably trigger a lot of bug
reports against your package, but these should be easier to deal with.

The call for translation updates and new translations will run until
about Saturday, November 30, 2013. Please avoid uploading a package with fixed or changed
debconf templates and/or translation updates in the meantime. Of
course, other changes are safe.

Please note that this is an approximative delay, which depends on my
own availability to process this work and is influenced by the fact
that I simultaneously work on many packages.

Around Sunday, December 01, 2013, I will contact you again and will send a final patch
summarizing all the updates (changes to debconf templates,
updates to debconf translations and new debconf translations).

Again, thanks for your attention and cooperation.


-- 


[mini-buildd.templates (text/plain, attachment)]
[control (text/plain, attachment)]
[patch (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephan Sürken <absurd@debian.org>:
Bug#725850; Package mini-buildd. (Sat, 30 Nov 2013 18:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephan Sürken <absurd@debian.org>. (Sat, 30 Nov 2013 18:12:04 GMT) Full text and rfc822 format available.

Message #40 received at 725850@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 725850@bugs.debian.org
Subject: mini-buildd: General update after the debconf review process
Date: Sat, 30 Nov 2013 18:32:14 +0100
[Message part 1 (text/plain, inline)]
Dear Debian maintainer,

On Sunday, October 13, 2013, I sent you a notification about the beginning of a review
action on debconf templates for mini-buildd.

Then, I sent you a bug report with rewritten templates and announcing
the beginning of the second phase of this action: call for translation
updates.

Translators have been working hard and here is now the result of their efforts.

Please consider using it EVEN if you committed files to your
development tree as long as they were reported.

The attached tarball contains:

- debian/changelog with the list of changes
- debian/control with rewrites of packages' descriptions
- debian/<templates> with all the rewritten templates file(s)
- debian/po/*.po with all PO files (existing ones and new ones)

As said, please use *at least* the PO files as provided here,
preferrably over those sent by translators in their bug reports. All
of them have been checked and reformatted. In some cases, formatting
errors have been corrected.

The patch.rfr file contains a patch for the templates and control
file(s) alone.

Please note that this patch applies to the templates and control
file(s) of your package as of Sunday, October 13, 2013. If your package was updated
in the meantime, I may have updated my reference copy....but I also
may have missed that. This is indeed why I suggested you do not
modified such files while the review process was running,
remember..:-)

It is now safe to upload a new package version with these changes.

Please notify me of your intents with regards to this. 

There is of course no hurry to update your package but feel free to
contact me in case you would need sponsoring or any other action to
fix this.



-- 


[patch.tar.gz (application/octet-stream, attachment)]
[patch.rfr (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stephan Sürken <absurd@debian.org>:
You have taken responsibility. (Mon, 02 Dec 2013 13:51:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Mon, 02 Dec 2013 13:51:06 GMT) Full text and rfc822 format available.

Message #45 received at 725850-close@bugs.debian.org (full text, mbox):

From: Stephan Sürken <absurd@debian.org>
To: 725850-close@bugs.debian.org
Subject: Bug#725850: fixed in mini-buildd 1.0.0~gamma.5
Date: Mon, 02 Dec 2013 13:48:34 +0000
Source: mini-buildd
Source-Version: 1.0.0~gamma.5

We believe that the bug you reported is fixed in the latest version of
mini-buildd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 725850@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephan Sürken <absurd@debian.org> (supplier of updated mini-buildd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Dec 2013 13:34:44 +0000
Source: mini-buildd
Binary: python-mini-buildd mini-buildd mini-buildd-common
Architecture: source all
Version: 1.0.0~gamma.5
Distribution: unstable
Urgency: low
Maintainer: Stephan Sürken <absurd@debian.org>
Changed-By: Stephan Sürken <absurd@debian.org>
Description: 
 mini-buildd - minimal build daemon - daemon
 mini-buildd-common - minimal build daemon - 08x upgrade dummy package
 python-mini-buildd - minimal build daemon - python library and user tool
Closes: 725850 729295 729429 729655 730063 730481 730523 730538 730648 730803
Changes: 
 mini-buildd (1.0.0~gamma.5) unstable; urgency=low
 .
   Fifth gamma, 'l10n' release.
   * [32cbf96] mini-buildd: Add sanity check to avoid accidental starts by
     standard users.
   * [1cf513c] gnupg.py: sign(): Implicitly add newline to original file
     (like debsign does too) (Fixes signed dsc files for dpkg <= squeeze)
   * [d82b578] ports: Also gpg-sign the dsc file.
   * [14562c9] Debconf templates and debian/control reviewed by the debian-
     l10n-english team as part of the Smith review project. Thanks to
     Christian Perrier <bubulle@debian.org>, Russian (Yuri Kozlov), Danish
     (Joe Hansen), German (Tobias Quathamer), Polish (Michał Kułach),
     Japanese (Nobuhiro Iwamatsu), Italian (Pierangelo Mancusi), Swedish
     (Martin Bagge / brother), Portuguese (Américo Monteiro), French
     (Julien Patriarca) (Closes: #725850, #729295, #729429, #729655,
     #730063, #730481, #730523, #730538, #730648, #730803)
Checksums-Sha1: 
 49c4047edd282128f9991e73a26bf1cc3ce9e7a6 1498 mini-buildd_1.0.0~gamma.5.dsc
 9f14f5e6d75e2667b32c5ab88c22952e43438f52 1426451 mini-buildd_1.0.0~gamma.5.tar.gz
 dfeef80fca963ed1c2291d64429a94a8f6a1b414 362662 python-mini-buildd_1.0.0~gamma.5_all.deb
 2077bd6d43506b00cb4749f41a7ca86b33f6436d 993838 mini-buildd_1.0.0~gamma.5_all.deb
 f09af9a03dc71260e9797fcf626d91d6a2dc142a 65902 mini-buildd-common_1.0.0~gamma.5_all.deb
Checksums-Sha256: 
 484f7be58206e7733fc8d9dc11b0667eeaa6a1671dc11ffb439e10fb3edcc963 1498 mini-buildd_1.0.0~gamma.5.dsc
 50fcda95d8ee7a2da5745c1069a42c65611b23d38bf46e2da81309cd9a610910 1426451 mini-buildd_1.0.0~gamma.5.tar.gz
 56003f5326292042edfb789a79386e8504075726266b8a289231c25f067cdbde 362662 python-mini-buildd_1.0.0~gamma.5_all.deb
 e3951012242e00fa290b645185f3197bc720795b80d86cee331dd3ced6cff090 993838 mini-buildd_1.0.0~gamma.5_all.deb
 9557f48bdfd097f405027eafea6a4593073885304958a1a3ba1df897916a0217 65902 mini-buildd-common_1.0.0~gamma.5_all.deb
Files: 
 dea1f8dde63c88ecbc01e3b4305165e7 1498 devel extra mini-buildd_1.0.0~gamma.5.dsc
 23fbc0f9af63c625e356bf80cec38e27 1426451 devel extra mini-buildd_1.0.0~gamma.5.tar.gz
 35146722f09b45e724e95f92b3564e9c 362662 python extra python-mini-buildd_1.0.0~gamma.5_all.deb
 62d8e597de7389ad4f85d36d390e770c 993838 devel extra mini-buildd_1.0.0~gamma.5_all.deb
 3a479e46adb04271ac11f40ba5acde8f 65902 devel extra mini-buildd-common_1.0.0~gamma.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFSnI5AzCVHePKM0QIRAmO+AJ4kBa4xaDJWB0HLki8Ie8braW3qTACdHQJH
bZWKkBDtikFyL5pySMNHesI=
=av8t
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 10 Jan 2014 07:31:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:00:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.